Summary: 	An Open-Source library for manipulating ID3v1 and ID3v2 tags.
Name: 		id3lib
Version: 	3.8.3
Release: 	0.fdr.9.2
Epoch:		0
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://id3lib.sourceforge.net/
Source0: 	http://download.sf.net/id3lib/%{name}-%{version}.tar.gz
Patch0:		id3lib-dox.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	zlib-devel doxygen

%package devel
Summary:	Development tools for the id3lib.
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zlib-devel

#---------------------------------------------------------------------

%description
This package provides a software library for manipulating ID3v1 and
ID3v2 tags. It provides a convenient interface for software developers
to include standards-compliant ID3v1/2 tagging capabilities in their
applications. Features include identification of valid tags, automatic
size conversions, (re)synchronisation of tag frames, seamless tag
(de)compression, and optional padding facilities. Additionally, it can
tell mp3 header info, like bitrate etc.

%description devel
This package provides files needed to develop with the id3lib.

#---------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

#---------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
make docs

#---------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%exclude %{_libdir}/libid3.la
%doc AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO
%doc doc
%{_libdir}/libid3-3.8.so.*
%{_bindir}/id3convert
%{_bindir}/id3cp
%{_bindir}/id3info
%{_bindir}/id3tag

%files devel
%defattr(-,root,root,-)
%{_includedir}/id3.h
%{_includedir}/id3/
%{_libdir}/libid3.a
%{_libdir}/libid3.so

#---------------------------------------------------------------------
%changelog
* Wed Oct 29 2003 Ville Skytta <ville.skytta at iki.fi> - 0:3.8.3-0.fdr.9
- Rebuild.

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.8
- Removed comment after scriptlets

* Mon May  5 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.7
- libid3-3.8.so.3.0.0 -> libid3-3.8.so.*
- {buildroot} -> RPM_BUILD_ROOT

* Sun Apr 27 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.6
- Added post/postun scriptlets

* Thu Apr 24 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.5
- Added zlib-devel require tag for -devel package

* Fri Apr  4 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.4
- Added URL in Source:

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.3
- added ".so" file to the devel package

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.2
- Added missing epoch requirement

* Wed Apr  2 2003 Dams <anvil[AT]livna.org> 
- Initial build.
